package com.steerinfo.meterwork.meterworkcheckfirstactual.model;

import java.math.BigDecimal;
import java.util.Date;

public class CarActualCountCheckNum {
    private BigDecimal countCheckNum;
    private BigDecimal countSumCheckUsed;
    private BigDecimal countAvgCheckUsed;
    private String actualNo;
    private String actualFirst1No;
    private String actualFirst2No;
    private String netMode;
    private String grossMode;
    private String tareMode;
    private String predictionNo;
    private String carNo;
    private String conveyanceType;
    private String matterNo;
    private String matterName;
    private BigDecimal grossWeight;
    private BigDecimal tareWeight;
    private BigDecimal netWeight;
    private String forwardingUnitName;
    private String receivingUintName;
    private String meterTypeName;
    private String theoryAmount;
    private String senderRemark;
    private Date grossTime;
    private String baseSpot1Name;
    private String grossManName;
    private Date tareTime;
    private String baseSpot2Name;
    private String tareManName;
    private Date netTime;
    private String netSpot3Name;
    private String netManName;
    private String valueFlag;
    private String uploadFlag;

    public BigDecimal getCountCheckNum() {
        return countCheckNum;
    }

    public void setCountCheckNum(BigDecimal countCheckNum) {
        this.countCheckNum = countCheckNum;
    }

    public BigDecimal getCountSumCheckUsed() {
        return countSumCheckUsed;
    }

    public void setCountSumCheckUsed(BigDecimal countSumCheckUsed) {
        this.countSumCheckUsed = countSumCheckUsed;
    }

    public BigDecimal getCountAvgCheckUsed() {
        return countAvgCheckUsed;
    }

    public void setCountAvgCheckUsed(BigDecimal countAvgCheckUsed) {
        this.countAvgCheckUsed = countAvgCheckUsed;
    }

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo;
    }

    public String getActualFirst1No() {
        return actualFirst1No;
    }

    public void setActualFirst1No(String actualFirst1No) {
        this.actualFirst1No = actualFirst1No;
    }

    public String getActualFirst2No() {
        return actualFirst2No;
    }

    public void setActualFirst2No(String actualFirst2No) {
        this.actualFirst2No = actualFirst2No;
    }

    public String getGrossMode() {
        return grossMode;
    }

    public void setGrossMode(String grossMode) {
        this.grossMode = grossMode;
    }

    public String getTareMode() {
        return tareMode;
    }

    public void setTareMode(String tareMode) {
        this.tareMode = tareMode;
    }

    public String getNetMode() {
        return netMode;
    }

    public void setNetMode(String netMode) {
        this.netMode = netMode;
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo;
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    public String getConveyanceType() {
        return conveyanceType;
    }

    public void setConveyanceType(String conveyanceType) {
        this.conveyanceType = conveyanceType;
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public BigDecimal getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(BigDecimal grossWeight) {
        this.grossWeight = grossWeight;
    }

    public BigDecimal getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(BigDecimal tareWeight) {
        this.tareWeight = tareWeight;
    }

    public BigDecimal getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName;
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName;
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName;
    }

    public String getTheoryAmount() {
        return theoryAmount;
    }

    public void setTheoryAmount(String theoryAmount) {
        this.theoryAmount = theoryAmount;
    }

    public String getSenderRemark() {
        return senderRemark;
    }

    public void setSenderRemark(String senderRemark) {
        this.senderRemark = senderRemark;
    }

    public Date getGrossTime() {
        return grossTime;
    }

    public void setGrossTime(Date grossTime) {
        this.grossTime = grossTime;
    }

    public String getBaseSpot1Name() {
        return baseSpot1Name;
    }

    public void setBaseSpot1Name(String baseSpot1Name) {
        this.baseSpot1Name = baseSpot1Name;
    }

    public String getGrossManName() {
        return grossManName;
    }

    public void setGrossManName(String grossManName) {
        this.grossManName = grossManName;
    }

    public Date getTareTime() {
        return tareTime;
    }

    public void setTareTime(Date tareTime) {
        this.tareTime = tareTime;
    }

    public String getBaseSpot2Name() {
        return baseSpot2Name;
    }

    public void setBaseSpot2Name(String baseSpot2Name) {
        this.baseSpot2Name = baseSpot2Name;
    }

    public String getTareManName() {
        return tareManName;
    }

    public void setTareManName(String tareManName) {
        this.tareManName = tareManName;
    }

    public Date getNetTime() {
        return netTime;
    }

    public void setNetTime(Date netTime) {
        this.netTime = netTime;
    }

    public String getNetSpot3Name() {
        return netSpot3Name;
    }

    public void setNetSpot3Name(String netSpot3Name) {
        this.netSpot3Name = netSpot3Name;
    }

    public String getNetManName() {
        return netManName;
    }

    public void setNetManName(String netManName) {
        this.netManName = netManName;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag;
    }

    public String getUploadFlag() {
        return uploadFlag;
    }

    public void setUploadFlag(String uploadFlag) {
        this.uploadFlag = uploadFlag;
    }
}
